------------------------------------------------------------------------
r67 | aldot | 2009-04-01 14:16:42 +0200 (Wed, 01 Apr 2009) | 3 lines

- fix warning about camparison between signed and unsigned.
  sbuf->maxitems is an unsigned long, so adjust it's iterator variable accordingly

------------------------------------------------------------------------

Index: src/ndomod.c
===================================================================
--- src/ndomod.c	(revision 66)
+++ src/ndomod.c	(revision 67)
@@ -882,7 +882,7 @@ int ndomod_load_unprocessed_data(char *f
 
 /* initializes sink buffer */
 int ndomod_sink_buffer_init(ndomod_sink_buffer *sbuf,unsigned long maxitems){
-	int x;
+	unsigned long x;
 
 	if(sbuf==NULL || maxitems<=0)
 		return NDO_ERROR;
@@ -906,7 +906,7 @@ int ndomod_sink_buffer_init(ndomod_sink_
 
 /* deinitializes sink buffer */
 int ndomod_sink_buffer_deinit(ndomod_sink_buffer *sbuf){
-	int x;
+	unsigned long x;
 
 	if(sbuf==NULL)
 		return NDO_ERROR;
